package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum ImGroupMemberRoleType implements BaseEnum<String, ImGroupMemberRoleType> {
    TEACHER("老师"),
    STUDENT("学生");
    @EnumValue
    private String code;
    private String msg;

    ImGroupMemberRoleType(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
